org.apache.hadoop.mapreduce.jobhistory

## Interface HistoryEvent

- All Known Implementing Classes:
    AMStartedEvent, JobFinishedEvent, JobInfoChangeEvent, JobInitedEvent, JobPriorityChangeEvent, JobQueueChangeEvent, JobStatusChangedEvent, JobSubmittedEvent, JobUnsuccessfulCompletionEvent, MapAttemptFinishedEvent, NormalizedResourceEvent, ReduceAttemptFinishedEvent, TaskAttemptFinishedEvent, TaskAttemptStartedEvent, TaskAttemptUnsuccessfulCompletionEvent, TaskFailedEvent, TaskFinishedEvent, TaskStartedEvent, TaskUpdatedEvent

      @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public interface HistoryEvent

  Interface for event wrapper classes. Implementations each wrap an Avro-generated class, adding constructors and accessor methods.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDatum()` Return the Avro datum wrapped by this.
    `EventType` | `getEventType()` Return this event's type.
    `Set<org.apache.hadoop.yarn.api.records.timelineservice.TimelineMetric>` | `getTimelineMetrics()` Counters or Metrics if any else return null.
    `void` | `setDatum(Object datum)` Set the Avro datum wrapped by this.
    `org.apache.hadoop.yarn.api.records.timelineservice.TimelineEvent` | `toTimelineEvent()` Map HistoryEvent to TimelineEvent.

- - ### Method Detail

    - #### getEventType

          EventType getEventType()

      Return this event's type.

    - #### getDatum

          Object getDatum()

      Return the Avro datum wrapped by this.

    - #### setDatum

          void setDatum(Object datum)

      Set the Avro datum wrapped by this.

    - #### toTimelineEvent

          org.apache.hadoop.yarn.api.records.timelineservice.TimelineEvent toTimelineEvent()

      Map HistoryEvent to TimelineEvent.
      Returns:
        the timeline event

    - #### getTimelineMetrics

          Set<org.apache.hadoop.yarn.api.records.timelineservice.TimelineMetric> getTimelineMetrics()

      Counters or Metrics if any else return null.
      Returns:
        the set of timeline metrics

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.